List fee schedules
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/fee-schedules \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/fee-schedules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/fee-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/fee-schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
"name": "Card Processing - Visa",
"currency": "USD",
"applicationOrder": "PARALLEL",
"roundingScale": 2,
"roundingMode": "HALF_UP",
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"name": "interchange",
"priority": 1,
"structureType": "PERCENTAGE",
"structure": {},
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"usedByContexts": 2,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"cursor": "eyJpZCI6IjAxOWM5NmEwLTJiMjAtNzEyMy05YTFiLTJjM2Q0ZTVmNmE3YiJ9"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}List fee schedules
Use this endpoint to retrieve all fee schedules for the authenticated tenant.
GET
/
v1
/
fee-schedules
List fee schedules
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/fee-schedules \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/fee-schedules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/fee-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/fee-schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
"name": "Card Processing - Visa",
"currency": "USD",
"applicationOrder": "PARALLEL",
"roundingScale": 2,
"roundingMode": "HALF_UP",
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"name": "interchange",
"priority": 1,
"structureType": "PERCENTAGE",
"structure": {},
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"usedByContexts": 2,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"cursor": "eyJpZCI6IjAxOWM5NmEwLTJiMjAtNzEyMy05YTFiLTJjM2Q0ZTVmNmE3YiJ9"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Query Parameters
The maximum number of items to include in the response.
Required range:
1 <= x <= 200Was this page helpful?

